﻿using System;

namespace ClockEvent
{
    class Program
    {
        static void Main()
        {
            Clock clock = new Clock();
            clock.Tick += ClockOnTick;
            clock.Start();
            clock.Tick += OnTick10;
        }

        private static void ClockOnTick(object sender, TimeEventArgs timeEventArgs)
        {
            Console.WriteLine(timeEventArgs.TimeNow);
        }

        private static void OnTick10(object sender, TimeEventArgs args)
        {
            DateTime dateTime = args.TimeNow;
            if (dateTime.Second % 10 == 0) Console.WriteLine("Interesting time: " + dateTime);
        }
    }
}
